<template lang="pug">
  div.lc-projects
    div.ui.stackable.container
      h1.centered Projects
      p.subtitle.centered Not all projects are under our ownership, some are just by our staff.
      div.ui.segment.inverted
        project(v-for="prj in prjs" :key="prj.name" :prj="prj")
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'

import 'semantic-ui-css/components/container.min.css'
import 'semantic-ui-css/components/segment.min.css'
import 'semantic-ui-css/components/grid.min.css'

import Projects from '@/data/projects'
import Project from '@/comps/Project.vue'

@Component({ components: { Project } })
export default class LCProjects extends Vue {
  prjs = Projects
}
</script>

<style lang="stylus" scoped>
.ui.tiny.image.inverted
  margin: 0.75rem 0
  border-radius: 10px

.ui.segment:last-child, .ui.segment:first-child
  margin-top: 14px
  margin-bottom: 14px

.lc-project
  transition: box-shadow .15s ease-in-out
  -o-transition: .5s
  -ms-transition: .5s
  -moz-transition: .5s
  -webkit-transition: .5s
  transition: .5s
  margin: 1em 0
  &:hover
    box-shadow: 0 0 20px rgba(0,0,0,0.75)
    cursor: pointer

.external.alternate.icon
  font-size: 12px
  padding-left: 0.5em
</style>
